import pytest

from matterlab_relays import CE221ARelay


@pytest.mark.real
def test_ce221a_real_toggle(hardware_com_port, hardware_channel):
    relay = CE221ARelay(com_port=hardware_com_port, channel=hardware_channel)

    relay.on = True
    assert relay.on is True

    relay.on = False
    assert relay.on is False
